<?
##################################################
## Автор: -=ШАХТЕР=-                             #                                                                                                                                                                                 ## Сайт: http://masteram.us                 #                 															                      ## ICQ  :  46-92-90                         #                 														 		           ## Версия 4.0 Лицензионная                  #
## Данная версия скрипта является БЕСПЛАТНОЙ!    #
## Версия чата: voblja 4.1 LITE                  #
## Полная версия: 4.1 FUll                       #
## http://masteram.us - Закрытый клуб мастеров;) #
##################################################

require'config.php';
$align='left';
$title="Фотоальбомы";
aut();
head();
who_add(0,'enter'); // Занисываем Кто онлайн...

$deler = check(intval($_GET['deler']));
if($deler){
@$db->sql_query("delete from `foto_albom` where id='".$deler."' and user_id='".$user['id']."';");
$q = @$db->sql_query("SELECT * FROM `foto_add` where album='".$deler."' and user_id='".$user['id']."';");
while($d = $db->sql_fetchrow($q)){
$flag = unlink (H.'files/album/album_'.$d['album'].'_'.$d['id'].$d['format']);

}
@$db->sql_query("delete from `foto_add` where album='".$deler."' and user_id='".$user['id']."';");
}




echo '<a href="'.H.'new_album">Добавить альбом</a> | ';
echo '<a href="'.H.'add_foto">Добавить фото</a><br/>';

echo "<dl><dt></dt></dl>";

if (empty($user['max'])) $user['max']=10;
$max = $user['max'];
$k_post=$db->sql_fetchfield($db->sql_query("select count(*) as num from foto_albom where user_id = '".$user['id']."'"),0);
$k_page=k_page($k_post,$max);
$page=page($k_page);
$start=$max*$page-$max;

$r = $db->sql_query ("Select * from foto_albom where user_id = '".$user['id']."' order by time_izm desc LIMIT $start, $max");
if ($k_post == 0)echo '<br />Албомов пока нет...<br />';
$post_k=$start+1;
while($a = @$db->sql_fetchrow($r)){


$foto=$db->sql_fetchfield($db->sql_query("select count(*) as num from foto_add where album = '".$a['id']."'"),0);

echo '<img src="'.H.'img/foto.gif" alt=""/>
<a href="'.H.'album'.$user['id'].'_'.$a['id'].'">'.$a['name'].'</a>
[<a href="'.H.'new_album?album='.$a['id'].'">Изм.</a>]
[<a href="?deler='.$a['id'].'&amp;page='.$page.'">Удал.</a>]
<br />'.$a['kom'].'<br />
<small>файлов: '.$foto.' | просмотров: '.$a['prosm'].'<br />Создан: '.times($a['time_s']).' | Изменен: '.times($a['time_izm']).'</small><br/>';
echo '<dt></dt>';

}

if ($k_page>1){
echo '<dl><dt></dt></dl>';
str('my_albums?',$k_page,$page);
echo '<br /><dl><dt></dt></dl><br />';
}

echo '<br />';
echo gb.'<a href="'.H.'enter">Прихожая</a>'.div;
foot();
?>